/*
 * Application.cpp
 *
 *  Created on: Mar 21, 2011
 *      Author: lipari
 */

#include "Application.h"
#include <iostream>
#include "PressButton.h"

using namespace std;

Application::Application(const string &s) : name(s)
{
}

Application::~Application()
{
}

void Application::notify(Button *b)
{
	cout << "App " << name << ": notification received" << endl;
	// to get the information, I need to dynamic cast
	PressButton *p = dynamic_cast<PressButton *>(b);
	if (p != 0) cout << "Button pressed = " << p->isPressed() << endl;
}
